> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task Comment

> Update an existing comment (author only)



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi put /comment/{id}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /comment/{id}:
    put:
      tags:
        - Comments
      summary: Update Task Comment
      description: Update an existing comment (author only)
      operationId: updateTaskComment
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: string
                  minLength: 1
              required:
                - content
      responses:
        '200':
          description: Comment updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  taskId:
                    type: string
                  userId:
                    type: string
                  content:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  user:
                    type: object
                    properties:
                      name:
                        type: string
                      image:
                        type: string
                        nullable: true
                    required:
                      - name
                      - image
                required:
                  - id
                  - taskId
                  - userId
                  - content
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````